Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| xmlgraphics-commons 2.0.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xmlgraphics.ps
Class PSDictionary

    java.lang.Object
      java.util.AbstractMap<K,V>
          java.util.HashMap
              org.apache.xmlgraphics.ps.PSDictionary

All Implemented Interfaces:
  Serializable, Cloneable, Map

Direct Known Subclasses:
  PSPageDeviceDictionary

    public class PSDictionary

extends HashMap

This class is used to encapsulate postscript dictionary objects.

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class java.util.AbstractMap
`AbstractMap.SimpleEntry<K,V>, AbstractMap.SimpleImmutableEntry<K,V>`

Constructor Summary
`PSDictionary()`

Method Summary
`boolean` | `equals(Object obj)`
`int` | `hashCode()`
`String` | `toString()`
`static PSDictionary` | `valueOf(String str)` Parses a given a dictionary string and returns an object

Methods inherited from class java.util.HashMap
`clear, clone, containsKey, containsValue, entrySet, get, isEmpty, keySet, put, putAll, remove, size, values`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PSDictionary

    public PSDictionary()

Method Detail

### valueOf

    public static PSDictionary valueOf(String str)
                                throws PSDictionaryFormatException

  Parses a given a dictionary string and returns an object

  Parameters:
    `str` - dictionary string
  Returns:
    dictionary object
  Throws:
    `PSDictionaryFormatException` - thrown in the event that a parsing error occurred

### equals

    public boolean equals(Object obj)

  Specified by:
    `equals` in interface `Map`
  Overrides:
    `equals` in class `AbstractMap`
  Parameters:
    `obj` - object to test equality against
  Returns:
    whether a given object is equal to this dictionary object
  See Also:
    `Object.equals(Object)`

### hashCode

    public int hashCode()

  Specified by:
    `hashCode` in interface `Map`
  Overrides:
    `hashCode` in class `AbstractMap`

### toString

    public String toString()

  Overrides:
    `toString` in class `AbstractMap`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| xmlgraphics-commons 2.0.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2015 The Apache Software Foundation. All Rights Reserved.